%global ename FreeDoko
%global debug_package %{nil}

Name:           freedoko
Version:        0.8.1
Release:        2%{?dist}
Summary:        FreeDoko is a Doppelkopf-game
Summary(de):    FreeDoko ist ein Doppelkopfspiel
Group:          Amusements/Games/Board/Card
License:        GPL-2.0
URL:            http://free-doko.sourceforge.net/de/index.html
Source0:        https://downloads.sourceforge.net/free-doko/%{ename}_%{version}.src.zip
BuildRequires:  cairo-devel docbook-utils dos2unix unix2dos gcc-c++ glib2-devel gnet2-devel gtkmm30-devel libstdc++-devel
BuildRequires:  texlive-latex texlive-german texlive-babel-german texlive-datetime2-german texlive-hyphen-german texlive-glossaries-german
BuildRequires:  texlive-ucs texlive-metafont texlive-mfware texlive-gsftopk texlive-ec texlive-amsfonts texlive-grfext
BuildRequires:  pango-devel w3m asciidoc zlib-devel freealut-devel rsync
BuildRequires:  devscripts

%description
FreeDoko is a Doppelkopf-game, written by Borg Enders and
Diether Knof.
It is developed under and for the platforms Linux and Windows.

%description -l de
FreeDoko ist ein Doppelkopfspiel, geschrieben von Borg Enders und
Diether Knof.
Es wird unter den und für die Plattformen Linux und Windows
geschrieben.

%package manual
Summary:        User documetation for FreeDoko
Summary(de):    Benutzerhandbuch für FreeDoko
Group:          Documentation/Other
BuildArch:      noarch

%description manual
Usermanual for %{ename}.

%description -l de manual
Benutzerhandbuch für %{ename}.

%prep
%setup -q -n %{ename}_%{version}
sed -i '67,74s|^#||' Makefile.install.directories

dos2unix AUTHORS
dos2unix COPYING
dos2unix doc/*/*.txt

%build
%set_build_flags
CXXFLAGS=$(echo "$CXXFLAGS -fdata-sections -ffunction-sections -std=c++17" | sed -e 's| -g | |')
export CXXFLAGS
LDFLAGS=$(echo "$LDFLAGS -Wl,-s,--gc-sections")
export LDFLAGS
%make_build compile
%make_build documentation

%install
%make_install %{?jobs:-j%{jobs}} DESTDIR=%{buildroot} OPERATING_SYSTEM=Linux
# fix running under wayland
sed -i 's|^Exec=|Exec=env GDK_BACKEND=x11 |' %{buildroot}%{_datadir}/applications/%{ename}.desktop
hardening-check -fv --nobranchprotection %{buildroot}%{_bindir}/%{ename}

%files
%defattr(644, root, root, 755)
%attr(755, root, root) %{_bindir}/%{ename}
%{_bindir}/freedoko
%{_datadir}/%{ename}
%{_mandir}/man6/*
%{_datadir}/pixmaps/%{ename}.png
%{_datadir}/applications/%{ename}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{ename}.mo

%files manual
%{_docdir}/*

%changelog
* Mon Dec 30 2024 samoht0 <https://copr.fedorainfracloud.org/coprs/samoht0/> 0.8.1
- update 0.8.1
- history cleanup
